****************************************************************************
* Project:	ultraDev
* Module:	PrintText example
* Code:		ultra
* Created:	23.12.2019
* Notes:	small demo how to print text to the debug screen
* Modified:
* Changes:
*
* (c) 2019 cream
****************************************************************************
	jmp		start

****************************************************************************
	include "UDAll.s"

****************************************************************************
start:
	pea		prg(pc)
	move.w	#$0026,-(sp)
	trap	#$0e
	adda.l	#6,sp
	rts

****************************************************************************
prg:
	// switch to 40 chars per line
	move	#0,d0
	bsr		UDVidSetVideoMode

	// clear
	move	#' ',d0
	bsr		UDDbgScrClear
	bsr		wait

	// print some text
	move	#0,d0
	move	#0,d1
	move	#1,d2
	lea		text(pc),a0
	jsr		UDDbgScrPrint

	move	#5,d0
	move	#5,d1
	move	#2,d2
	lea		text(pc),a0
	jsr		UDDbgScrPrint

	move	#10,d0
	move	#10,d1
	move	#4,d2
	lea		text(pc),a0
	jsr		UDDbgScrPrint

	move	#15,d0
	move	#15,d1
	move	#7,d2
	lea		text(pc),a0
	jsr		UDDbgScrPrint

	move	#00,d0
	move	#20,d1
	move	#7,d2
	lea		text2(pc),a0
	lea		textVauleb,a1
	lea		textVaulew,a2
	lea		textVaulel,a3
	jsr		UDDbgScrPrint

	bsr		wait
	bsr		wait
	// fill screen with a
	move	#'a',d0
	bsr		UDDbgScrClear

	bsr		wait

	bra		prg

****************************************************************************
wait:
	move	#50,d0
.waitloop
	move.l	d0,-(a7)
	move.w	#37,-(sp)
	trap	#14
	addq.l	#2,sp
	move.l	(a7)+,d0

	dbf		d0,.waitloop
	rts

****************************************************************************
textVauleb:	dc.b	$12
	even
textVaulew:	dc.w	$1234
textVaulel:	dc.l	$deadbeef

text:	dc.b "This is a test",10
		dc.b "Bla bla",0
text2:	dc.b "Text with hex %b %w %l",10
		dc.b "Bla bla",0
